#
# spec file for package apache2-mod_antiloris (Version 0.4)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org
#

# norootforbuild

Name:         apache2-mod_antiloris
BuildRequires: apache2-devel
%define modname mod_antiloris
%define apxs /usr/sbin/apxs2
%define apache apache2
%define apache_libexecdir %(%{apxs} -q LIBEXECDIR)
%define apache_sysconfdir %(%{apxs} -q SYSCONFDIR)
%define apache_includedir %(%{apxs} -q INCLUDEDIR)
%define apache_serverroot %(%{apxs} -q PREFIX)
%define apache_localstatedir %(%{apxs} -q LOCALSTATEDIR)
%define apache_mmn        %(MMN=$(%{apxs} -q LIBEXECDIR)_MMN; test -x $MMN && $MMN)
Version:	0.4
Release:	10.10
License:	Apache License
Group:		Productivity/Networking/Web/Servers
Requires:	apache2 %{apache_mmn} 
Autoreqprov:	on
Summary:	Protect apache against the slowloris attack
Url:		http://sourceforge.net/projects/mod-antiloris/
Source0:	%{modname}-%{version}.tar.bz2
Source1:	antiloris.conf.suse
Source2:	README
BuildRoot:	%{_tmppath}/%{name}-%{version}-build

%description
With this module, apache is protected against the slowloris attack. The module limits the
number of threads in READ state on a per IP basis.

%debug_package
%prep
%setup -n %{modname}-%{version}

%build
%{apxs} -a -n %{modname}.so -c %{modname}.c

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{apache_libexecdir}
mkdir -p $RPM_BUILD_ROOT/%{apache_sysconfdir}/conf.d/
cp -p .libs/%{modname}.so $RPM_BUILD_ROOT/%{apache_libexecdir}/%{modname}.so || ls -al
cp %{S:1} $RPM_BUILD_ROOT/%{apache_sysconfdir}/conf.d/%{modname}.conf
install %{SOURCE1} README

%files
%defattr(-,root,root)
%doc ChangeLog README
%{apache_libexecdir}/*.so
%config(noreplace) %{apache_sysconfdir}/conf.d/%{modname}.conf

%changelog
* Thu Jul 09 2010 Carsten Schoene <cs@linux-administrator.com> - 0.4-1
- initial package (0.4)
